use std::num::NonZeroU64;

use serde::{Deserialize, Serialize};
use surrealdb::engine::remote::ws::Ws;
use surrealdb::opt::auth::Root;
use surrealdb::sql::Thing;
use surrealdb::Surreal;

#[derive(Debug, Serialize)]
pub struct UserImage<'a> {
    server_id: &'a NonZeroU64,
    user_id: &'a NonZeroU64,
    enable: &'a bool,
}

impl<'a> UserImage<'a> {
    pub fn new(
        server_id: &'a NonZeroU64,
        user_id: &'a NonZeroU64,
        enable: &'a bool,
    ) -> Result<Self, surrealdb::Error> {
        Ok(Self {
            server_id,
            user_id,
            enable,
        })
    }
}
